> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/in-memory-db/how-tos/v2/restore-in-memory-db-cluster.md).

# Restore an In-Memory DB Cluster

<code class="expression">space.vars.ionos\_cloud</code> DBaaS lets you restore an In-Memory DB cluster from an existing snapshot.

{% hint style="warning" %}
**Warning:** Restoring from a snapshot is only available while creating a new cluster. There is no option to restore an existing cluster in place through the DCD.
{% endhint %}

To restore a cluster from a snapshot during creation, follow these steps:

{% stepper %}
{% step %}

## Navigate to In-Memory DB cluster overview

1\. In the **DCD**, go to **Menu** > **Databases** > **In-Memory DB**.

2\. From the **In-Memory DB cluster overview** page, click **Create cluster**.
{% endstep %}

{% step %}

## Define cluster properties

In the **Properties** section, specify a **Cluster name**, **Location**, and optional **Description** for the new cluster. For more information, see [<mark style="color:blue;">Create an In-Memory DB Cluster</mark>](/cloud/databases/in-memory-db/how-tos/v2/create-in-memory-db-cluster.md#define-cluster-properties).
{% endstep %}

{% step %}

## Restore from a snapshot

To initialize the new cluster with data from an existing snapshot, go to the **Restore configuration** section and select **Restore cluster from snapshot**, then specify the following:

1\. **Source snapshot:** Select the snapshot to restore from. Only snapshots from clusters within the same region are eligible.

2\. **Recovery target datetime:** Select a date and time within the displayed recovery window. The cluster is restored from the most recent snapshot taken at or before that time. If left empty, the cluster is restored from the latest available snapshot.

{% hint style="info" %}
**Note:** In-Memory DB does not provide continuous point-in-time recovery — the nearest preceding snapshot is always used. A restored snapshot also includes its stored credentials; credentials you provide later in **User Creation** override those from the snapshot.
{% endhint %}

![Restore configuration](/files/XFklyRafNvPEzomfIQQ5)
{% endstep %}

{% step %}

## Complete the remaining cluster configuration

Configure the cluster, instances, snapshot storage, network, maintenance window, and observability settings, then create the database user. For detailed step-by-step instructions, see [<mark style="color:blue;">Create an In-Memory DB Cluster</mark>](/cloud/databases/in-memory-db/how-tos/v2/create-in-memory-db-cluster.md#configure-the-cluster).

{% hint style="warning" %}
**Note:** If a user in the **User Creation** section already exists in the restored snapshot, its credentials are overwritten.
{% endhint %}
{% endstep %}

{% step %}

## Save the cluster

Click **Save** to create the cluster from the selected snapshot.
{% endstep %}
{% endstepper %}

{% hint style="success" %}
**Result:** Your In-Memory DB cluster is created from the selected snapshot. Its **STATE** is set to **Provisioning** while the cluster is being created. Once complete, the cluster returns to **Available**.
{% endhint %}

## Next steps

* [<mark style="color:blue;">View In-Memory DB Clusters</mark>](/cloud/databases/in-memory-db/how-tos/v2/view-in-memory-db-clusters.md): View the details and status of your restored cluster.
* [<mark style="color:blue;">Delete an In-Memory DB Cluster</mark>](/cloud/databases/in-memory-db/how-tos/v2/delete-in-memory-db-cluster.md): Remove a cluster that is no longer needed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/how-tos/v2/restore-in-memory-db-cluster.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
